export declare function getConcurrentMerkleTreeDecoderFactory(maxDepth: number, maxBufferSize: number): import("@solana/web3.js").FixedSizeDecoder<{
    sequenceNumber: bigint;
    activeIndex: bigint;
    bufferSize: bigint;
    changeLogs: {
        root: import("@solana/web3.js").Address<string>;
        pathNodes: import("@solana/web3.js").Address<string>[];
        index: number;
        _padding: number;
    }[];
    rightMostPath: {
        proof: import("@solana/web3.js").Address<string>[];
        leaf: import("@solana/web3.js").Address<string>;
        index: number;
        _padding: number;
    };
}>;
//# sourceMappingURL=merkleTreeDecoderFactories.d.ts.map