import { Codec, Decoder, Encoder } from '@solana/web3.js';
import { TUseMethod, TUseMethodArgs } from '.';
export type TUses = {
    useMethod: TUseMethod;
    remaining: bigint;
    total: bigint;
};
export type TUsesArgs = {
    useMethod: TUseMethodArgs;
    remaining: number | bigint;
    total: number | bigint;
};
export declare function getTUsesEncoder(): Encoder<TUsesArgs>;
export declare function getTUsesDecoder(): Decoder<TUses>;
export declare function getTUsesCodec(): Codec<TUsesArgs, TUses>;
//# sourceMappingURL=tUses.d.ts.map