import { Codec, Decoder, Encoder } from '@solana/web3.js';
export declare enum TTokenStandard {
    NonFungible = 0,
    FungibleAsset = 1,
    Fungible = 2,
    NonFungibleEdition = 3
}
export type TTokenStandardArgs = TTokenStandard;
export declare function getTTokenStandardEncoder(): Encoder<TTokenStandardArgs>;
export declare function getTTokenStandardDecoder(): Decoder<TTokenStandard>;
export declare function getTTokenStandardCodec(): Codec<TTokenStandardArgs, TTokenStandard>;
//# sourceMappingURL=tTokenStandard.d.ts.map